cURL
curl --request POST \
--url https://app.masivo.ai/api/storefront/v1/communication/threads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--data '
{
"ticket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "<string>",
"inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_account_id": "<string>",
"external_thread_id": "<string>",
"status": "open",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
'import requests
url = "https://app.masivo.ai/api/storefront/v1/communication/threads"
payload = {
"ticket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "<string>",
"inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_account_id": "<string>",
"external_thread_id": "<string>",
"status": "open",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ticket_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
review_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_id: '<string>',
inbox_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
channel_account_id: '<string>',
external_thread_id: '<string>',
status: 'open',
assignee_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadata: {}
})
};
fetch('https://app.masivo.ai/api/storefront/v1/communication/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "<string>",
"inbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_account_id": "<string>",
"external_thread_id": "<string>",
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_message_at": "2023-11-07T05:31:56Z",
"latest_message_preview": "<string>",
"unread_count": 123,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Tickets
Create communication thread
Create a communication thread attached to a ticket, review, customer, or external provider thread.
POST
/
communication
/
threads
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The account that owns the communication thread
Body
application/json
Available options:
email, whatsapp, chat, review, system, other Available options:
open, closed Response
Communication thread created
Show child attributes
Show child attributes
⌘I